HDU 5347

MZL‘s chemistry

Time Limit: 2000/1000 MS (Java/Others)    Memory Limit: 65536/65536 K (Java/Others)

Total Submission(s): 164    Accepted Submission(s): 151

Problem Description

MZL define F(X)
as the first ionization energy of the chemical element
X

Now he get two chemical elements U,V,given
as their atomic number,he wants to compare F(U)
and F(V)

It is guaranteed that atomic numbers belongs to the given set:{1,2,3,4,..18,35,36,53,54,85,86}

It is guaranteed the two atomic numbers is either in the same period or in the same group

It is guaranteed that x≠y

Input

There are several test cases

For each test case,there are two numbers u,v,means
the atomic numbers of the two element

Output

For each test case,if F(u)>F(v),print
"FIRST BIGGER",else print"SECOND BIGGER"

Sample Input

1 2
5 3

Sample Output

SECOND BIGGER
FIRST BIGGER

Source

2015 Multi-University Training Contest 5

比较第一电离能的大小,B,Be,O,N,P,S特判一下就好。

#include <iostream>
#include <algorithm>
#include <stdio.h>
#include <string.h>
#include <math.h>
#include <map>
using namespace std;
int main()
{
    int a, b;
    while (scanf("%d%d", &a, &b) != EOF)
    {

        if ((a == 4 && b == 5) || (a == 5 && b == 4))
        {
            if (a>b)
            {
                cout << "SECOND BIGGER" << endl;
            }
            else
                cout << "FIRST BIGGER" << endl;
            continue;
        }
        if ((a == 7 && b == 8) || (a == 8 && b == 7))
        {
            if (a>b)
            {
                cout << "SECOND BIGGER" << endl;
            }
            else
                cout << "FIRST BIGGER" << endl;
            continue;
        }
        if ((a == 15 && b == 16) || (a == 16 && b == 15))
        {
            if (a>b)
            {
                cout << "SECOND BIGGER" << endl;
            }
            else
                cout << "FIRST BIGGER" << endl;
            continue;
        }
        if ((a == 1 && b == 3) || (a == 3 && b == 1))
        {
            if (a>b)
            {
                cout << "SECOND BIGGER" << endl;
            }
            else
                cout << "FIRST BIGGER" << endl;
            continue;
        }
        if ((a == 12 && b == 13) || (a == 13 && b == 12))
        {
            if (a>b)
            {
                cout << "SECOND BIGGER" << endl;
            }
            else
                cout << "FIRST BIGGER" << endl;
            continue;
        }
        if ((a == 1 && b == 3) || (a == 3 && b == 1))
        {
            if (a>b)
            {
                cout << "SECOND BIGGER" << endl;
            }
            else
                cout << "FIRST BIGGER" << endl;
            continue;
        }
        if (a - b>=8 || b - a>=8)
        {
            if (a<b)
                cout << "FIRST BIGGER" << endl;
            else
                cout << "SECOND BIGGER" << endl;
        }
        else
        {
            if (a > b)
                cout << "FIRST BIGGER" << endl;
            else
                cout << "SECOND BIGGER" << endl;
        }
    }
    return 0;
}

版权声明:本文为博主原创文章,未经博主允许不得转载。

时间: 2024-10-16 04:34:33

HDU 5347的相关文章

HDU 5347(MZL&amp;#39;s chemistry-打表)

MZL's chemistry Time Limit: 2000/1000 MS (Java/Others)    Memory Limit: 65536/65536 K (Java/Others) Total Submission(s): 629    Accepted Submission(s): 449 Problem Description MZL define as the first ionization energy of the chemical element Now he g

HDU 5347(2015多校5)-MZL&#39;s chemistry(打表)

题目地址HDU 5347 无脑流神题,自行脑补,百度大法好. #include <stdio.h> #include <math.h> #include <string.h> #include <stdlib.h> #include <iostream> #include <sstream> #include <algorithm> #include <set> #include <queue> #

HDU 5347 MZL&#39;s chemistry

MZL's chemistry Time Limit: 2000/1000 MS (Java/Others)    Memory Limit: 65536/65536 K (Java/Others) Total Submission(s): 345    Accepted Submission(s): 287 Problem Description MZL define F(X) as the first ionization energy of the chemical element X N

HDU 6203 ping ping ping [LCA,贪心,DFS序,BIT(树状数组)]

题目链接:[http://acm.hdu.edu.cn/showproblem.php?pid=6203] 题意 :给出一棵树,如果(a,b)路径上有坏点,那么(a,b)之间不联通,给出一些不联通的点对,然后判断最少有多少个坏点. 题解 :求每个点对的LCA,然后根据LCA的深度排序.从LCA最深的点对开始,如果a或者b点已经有点被标记了,那么continue,否者标记(a,b)LCA的子树每个顶点加1. #include<Bits/stdc++.h> using namespace std;

HDU 5542 The Battle of Chibi dp+树状数组

题目:http://acm.hdu.edu.cn/showproblem.php?pid=5542 题意:给你n个数,求其中上升子序列长度为m的个数 可以考虑用dp[i][j]表示以a[i]结尾的长度为j的上升子序列有多少 裸的dp是o(n2m) 所以需要优化 我们可以发现dp的第3维是找比它小的数,那么就可以用树状数组来找 这样就可以降低复杂度 #include<iostream> #include<cstdio> #include<cstring> #include

hdu 1207 汉诺塔II (DP+递推)

汉诺塔II Time Limit: 2000/1000 MS (Java/Others)    Memory Limit: 65536/32768 K (Java/Others)Total Submission(s): 4529    Accepted Submission(s): 2231 Problem Description 经典的汉诺塔问题经常作为一个递归的经典例题存在.可能有人并不知道汉诺塔问题的典故.汉诺塔来源于印度传说的一个故事,上帝创造世界时作了三根金刚石柱子,在一根柱子上从下往

[hdu 2102]bfs+注意INF

题目链接:http://acm.hdu.edu.cn/showproblem.php?pid=2102 感觉这个题非常水,结果一直WA,最后发现居然是0x3f3f3f3f不够大导致的--把INF改成INF+INF就过了. #include<bits/stdc++.h> using namespace std; bool vis[2][15][15]; char s[2][15][15]; const int INF=0x3f3f3f3f; const int fx[]={0,0,1,-1};

HDU 3555 Bomb (数位DP)

数位dp,主要用来解决统计满足某类特殊关系或有某些特点的区间内的数的个数,它是按位来进行计数统计的,可以保存子状态,速度较快.数位dp做多了后,套路基本上都差不多,关键把要保存的状态给抽象出来,保存下来. 简介: 顾名思义,所谓的数位DP就是按照数字的个,十,百,千--位数进行的DP.数位DP的题目有着非常明显的性质: 询问[l,r]的区间内,有多少的数字满足某个性质 做法根据前缀和的思想,求出[0,l-1]和[0,r]中满足性质的数的个数,然后相减即可. 算法核心: 关于数位DP,貌似写法还是

HDU 5917 Instability ramsey定理

http://acm.hdu.edu.cn/showproblem.php?pid=5917 即世界上任意6个人中,总有3个人相互认识,或互相皆不认识. 所以子集 >= 6的一定是合法的. 然后总的子集数目是2^n,减去不合法的,暴力枚举即可. 选了1个肯定不合法,2个也是,3个的话C(n, 3)枚举判断,C(n, 4), C(n, 5) #include <bits/stdc++.h> #define IOS ios::sync_with_stdio(false) using name